ImageSiteGrabber

 ImageSiteGrabber Gallery Links
Get those images!

ImageSiteGrabber Pro

Welcome to ImageSiteGrabber Pro - the smart way to surf the web for images!

Copyright 2000 by Capoeira Software

Contact
www.flashcardsonline.com
Support

Latest Features:

  • Full screen slide-show.
  • Screen Saver (use images from your ImageSiteGrabber Pro files).

Please see the tutorial.


ImageSiteGrabber : Tutorial 1

Get those images!

ImageSiteGrabber Pro : Tutorial 1

  1. From the Get Images menu select From Site
  2. The Site Options window is diplayed.
  3. In the name section enter earth
  4. Copy:
    http://nssdc.gsfc.nasa.gov/photo_gallery/photogallery-earth.html
    and paste it into the link section.
  5. In the directory section, the output directory is set to c:\temp (This is the default. Please see the ImageSiteGrabber Pro help file to learn how to change defaults).
    If you would like to change the output directory, click on the [image] button and select a new output directory.
  6. Leave the rest of the settings as they are. (You can learn more about these settings in the ImageSiteGrabber Pro help file).
  7. Click the Get Images button.
  8. Watch as it displays the images it downloads.
  9. The time it takes will depend on the speed of your connection.
  10. When it has completed Done will be displayed in the message section.
  11. Click on the Close button to close the window.
  12. You will see thumbnails of the earth displayed in the left part of the screen. Click on the first image to display the fullsize image in the main window.
  13. Select Save from the File menu if you wish to save this site.
  14. Thank you for using ImagsiteGrabber Pro!


Get those images!

File Menu

The File menu offers the following commands:

New | Creates a new document.
Open | Opens an existing document.
Close | Closes an opened document.
Save | Saves an opened document using the same file name.
Save As | Saves an opened document to a specified file name.
Send | Sends the active document through electronic mail.
Exit | Exits ImageSiteGrabber.


Get those images!

Get Images Menu

The Get Images menu offers the following commands, which provide you assistance with this application:

From Site | Get images from a site.
From List | Get images from a list of sites.
From Local Dir | Get images from a directory on a hardrive or cdrom.


Get those images!

Get Sites

The Get Sites command allows you to scan a html file for links to other sites and create site files based on your default settings. This is useful if you use it with image directory sites on the web (link sites).

link | Url of page you want to parse for sites.
file | Local file you want to parse for sites.
site name | Enter a site name, and each site will be named sitename plus the site number. Ex. for sitename animals, sites will be named: animals1, animals2, etc.
keywords | a site's name on url has to contain one of your keywords to get added to the sitelist. Separate keywords by commas. Ex. fox, rabbit, hound
Get From Net | Download page from the web and parse it for sites.
Get Local | Parse a local page for sites. (Page must be html)
Close | Closes the window.


Get those images!

Options

Defaults

Save the default settings that are used for new site files.
See the Site Dialog to for a description of the settings.

Drop Action

Determines what action is taken when you drag and drop a hyperlink into the application.

  • Get Images - Immediately starts scanning site for images using default settings.
  • Add Site - Adds the site using default settings.


Get those images!

Tools Menu

The Tools menu offers the following commands:

Slide Show

Display images in current file randomly or sequentially.

You can also set the pause length between each image. Once you start the slide show you can minimize the slide show window for an unobstructed view of your images.

You can enter keywords separated by , to limit the files that are displayed. (Only images whose names match your keywords will be displayed. This is good if you only want to see certain images).

Check the Full Screen box to view your images using the full display. Press any key to return to normal.

Merge Dirs

Used when you want to arrange images for archiving. Once you use this the affected site files will longer be valid since their local links will point to the wrong location.

How to Merge:
1.Select the input and output directories. The program will move image files in the subdirectories of the input directory also.

2. Press Merge

The other use of merge is Organize. Organize does the same thing as merge except it creates subdirectories in the output directory and copies the images to them based on the Dir Prefix and the Images per Dir settings you provide.

min size - minimum size of image that will be moved. (0 = ignore)

max total size - max total size of all images that will be moved. (0 = ignore)

Remove Empty

 Removes sites from the current file that do not contain any images.
Remove Bad Images | Removes image links from sites where the images don't exist. Will also remove a site if it ends up being empty after it removes the images.
Schedule:
  • Add
  • Delete

Allows you to schedule a time to run ImageSiteGrabber with the currently opened file. Your computer must be on and connected to the internet at that time. You can also schedule it to run repeatedly at a given day and time. (Windows 98 only and you must have scheduling installed).

1. Set date and time.
2. Set frequency (once, daily, weekly, monthly).
3. Press Ok.

Generate Browse File | Creates a file that is used for browsing. This involves creating thumbnails for all images.
Show Browse File | Displays the browse file for the current site.(Left-clicking on the site's icon also does the same).
Remove All Images Current Site - remove and delete from disk all images in the currently selected site.
All sites - remove and delete from disk all images in the all sites.


Get those images!

View Menu

The View menu offers the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.


Get those images!

Help Menu

The Help menu offers the following commands, which provide you assistance with this application:

Help | Offers you an index to topics on which you can get help.
Home Page | Visit us on the web.
Get FlashCards2000 | Download our popular flash card editing application.
About | Displays the version number of this application.
Register | Register the application. Go to www.flashcardsonline.com to register. Once you register you will be given a password and registration number. example: isguser34 74538475 In the password field enter: isguser34 In the registration number field enter: 74538475
Registering is only 19.95!

If you collect images from the web, ImageSiteGrabber will save you more time than you ever imagined. It's well worth the price


Get those images!

A list of sites.

Operations:

Single-click on a site to display a list of it's images in the bottom window and show it's browse file if one has previously been generated, (If the Site Options dialog is open, the site's information will be displayed there).

Right-click on site to bring up the open a context menu. From this menu you can:

  • open the site's url
  • Open the image directory
  • Remove the site (doesn't delete images)
  • delete a site (deleting a site here deletes it's images from your hard drive!).

Use the [image] on the toolbar to switch quickly between sites.

Use the [image] on the toolbar to switch quickly between images in the current site.


Get those images!

A list of images in the selected site (already downloaded).

Operations:

Double-click on an image to display it.

Right-click on an image to bring up the open/delete menu. From this menu you can open or delete an image (deleting
an image here deletes it from your hard drive). You can also select multiple images and delete them using shift or control and
the left mouse button.


Get those images!

Integrated Mini-browser

The mini-browser allows you to browse the internet within the ImageSiteGrabber Pro application.

Back | Go back to the previous page.
Fwd | Go forward one page.
Go | Goes to the site in the text field.
Get | Gets images from the current site in the browser.
Add | Adds current site in the browser to site list.
Sites | Allows you to scan a html file for links to other sites and create site files based on your default settings. This is useful if you use it with image directory sites on the web (link sites).


Get those images!

name | Enter a name for this site.
link | Enter the URL of the web site.
max levels | The maximum number of levels to parse.
New images only | Retrieve only the images that haven't been retrieved previously.
Ignore | Comma separated list of names to ignore. If any part of a image's hyperlink contains one of the names that image will not be retrieved This is useful to ignore thumbnails, ads, etc.
Password | Enter password for zing.com site.
Has Frames | Select if the site has frames. If you aren't sure select it.
min size | Minimum size in kilobytes.
max size | Maximum size in kilobytes.(0 equals no maximum)
jpg | Download JPEG images.
gif | Download GIF images.
max images | The maximum number of images to retrieve. (0 equals no maximum) *It will only check this number of images to see if they meet the other parameters.
Directory | The output directory.
Rename | Select to rename each image as it is downloaded. There are three available wildcards for the name: <img_name> - the original image name <num> - the number in sequence that the image was downloaded. <site_name> - name of the site ex: planets_<num> planes<img_name>trains<num>img *If you select rename, one of the wildcards must be in the name.
Show Image | Display each image after the image is downloaded.
Create Directory | Creates a sub-directory under the output directory for the site's images. The directory will be named based on the site name.
Create Browse File | Creates a file that is used for browsing. This involves creating thumbnails for all images.
Add to List | Add the site to the list of sites.
Get Images | Scan the site for images and download them.
Abort | Cancel the current download. (There may be a short dely before it aborts.)
Close | Close the window.
Defaults | Resets to default settings.


Get those images!

Get Images | Scan selected sites for images and download. (Select a site with a single mouse click).
Abort | Cancel the current download(s). (There may be a short dely before it aborts)
Skip Site | Skips the current site that is being scanned and continues to the next selected site.
Select All | Select all sites.
Deselect All | Deselects all sites.
Del Select | Deletes all selected sites. (Completely erases all image from from your hard drive for the selected sites).
Del Unselect | Deletes all unselected sites. (Completely erases all image from from your hard drive for the unselected sites).
Close | Close the window.
Actions (menu)
  • Select Empty - selects empty sites.
  • Remove Sites < n images - removes sites that have less than thenumber of images you specify
  • Remove Images < n kb - removes images from all sites that are less than the number of kb you choose in size
  • Set Options to Defaults - Sets options of all sites to default settings.


Get those images!

Drag and Drop

The quickest way to get a site is to use drag and drop.

  • Left click and hold the mouse button down over a hyperlink in any browser.
  • Drag your selection into the site list area of ImageSiteGrabber Pro
Your default setttings will be used to get the site. You can also use drap and drop to add sites to the list. See Options.


Get those images!

ImageSiteGrabber Screen Saver

ImageSiteGrabber includes a screensaver which allows you use a ImageSiteGrabber file as your screen saver. The screen saver is automatically installed in your windows directory when you install ImageSiteGrabber Pro.

To set it up follow these steps:

  1. Open the Display Properties window by right-clicking on the Windows desktop and choosing Properties.
  2. Select the Screen Saver tab and select IsgSaver as from the Sreen saver list.

  3. Click settings and select an ImageSiteGrabber file to use images from, the delay between images, and if you want them displayed randomly.


Get those images!

Name | name for the site.
Directory | directory to search images for.
Include Sub-directory | if checked will search sub-directories for images.
Create Browse File | creates a file that is used for browsing. This involves creating thumbnails for all images.
min size | Minimum size in kilobytes.
max size | Maximum size in kilobytes. (0 equals no maximum)
jpg | Add JPEG images
gif | Add GIF images.
max images | The maximum number of images to add. (0 equals no maximum). *It will only check this number of images to see if they meet the other parameters.
Start | Start scanning for files.
Abort | Cancel the current download. (There may be a short dely before it aborts.)
Close | Closes the window
Use Create Local Site to create a site that contains images on your hardrive or cdrom. This is a good way to organize collections of images.